# Trait rlp::rlptraits::RlpEncodable [−] [src]

    pub trait RlpEncodable {
        fn rlp_append(&self, s: &mut RlpStream);
    }

Encodable wrapper trait required to handle special case of encoding a &[u8] as string and not as list

## Required Methods

### `fn rlp_append(&self, s: &mut RlpStream)`

Append a value to the stream

## Implementors

- `impl RlpEncodable for u8`
- `impl<T> RlpEncodable for T where T: Encodable`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)